using IRaCIS.Core.Application.Contracts;
using IRaCIS.Core.Application.Service.Inspection.DTO;

namespace IRaCIS.Core.Application.Service.Inspection.Interface
{
    public interface IInspectionService
    {

        Task<PageOutput<GetDataInspectionOutDto>> GetInspectionList(GetDataInspectionDto dto);



        Task<Guid> AddSignRecordAsync(SignDTO signDTO);

        Task<Guid> RecordSing(SignDTO SignInfo);


        Task CompletedSign(Guid signId, IResponseOutput response);



    }
}
